GET
timetables API
Retrieve and manage timetables records from the Apps4Edu sync database.
Endpoint Path
GET
/api/timetables
CURL Example
curl "https://api.apps4education.co.uk/api/timetables?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
Field Definitions
| Field | Type |
|---|---|
id
|
bigint |
staffID
|
int |
locationID
|
int |
locationName
|
varchar |
classID
|
int |
className
|
varchar |
periodID
|
int |
periodName
|
varchar |
periodStartDate
|
datetime |
periodEndDate
|
datetime |
periodStartTime
|
varchar |
periodEndTime
|
varchar |
periodDisplayName
|
varchar |
startDate
|
datetime |
endDate
|
datetime |
dayOfWeek
|
varchar |
timetableDay
|
int |
weekNumber
|
varchar |
weekDisplayName
|
varchar |
weekDayPeriod
|
varchar |
staffTimetableCodeName
|
varchar |
staffTimetableCodeDescription
|
varchar |
isCover
|
tinyint |
timetableEntry
|
varchar |
classStaffRoom
|
varchar |
collectionTimetableCalendarID
|
varchar |
collectionTimetableID
|
int |
calendarID
|
int |
created_at
|
timestamp |
updated_at
|
timestamp |
Response Body (Sample)
{ "data": [ { "id": 101, "staffID": 101, "locationID": 101, "locationName": "example_value", "classID": 101, "className": "example_value", "periodID": 101, "periodName": "example_value", "periodStartDate": "example_value", "periodEndDate": "example_value", "periodStartTime": "example_value", "periodEndTime": "example_value", "periodDisplayName": true, "startDate": "example_value", "endDate": "example_value", "dayOfWeek": "example_value", "timetableDay": "example_value", "weekNumber": "example_value", "weekDisplayName": true, "weekDayPeriod": "example_value", "staffTimetableCodeName": "example_value", "staffTimetableCodeDescription": "example_value", "isCover": true, "timetableEntry": "example_value", "classStaffRoom": "example_value", "collectionTimetableCalendarID": 101, "collectionTimetableID": 101, "calendarID": 101, "created_at": "example_value", "updated_at": "example_value" } ] }
Query Parameters
api_token
Required. Your unique API key must be passed as a query string parameter.
page
Optional. Defaults to 1. Used to navigate through paginated results.